### Method

# Gsk Transform invert

#### Declaration [src]

    GskTransform*
    gsk_transform_invert (
      GskTransform* self
    )

#### Description [src]

Inverts the given transform.

If `self` is not invertible, `NULL` is returned. Note that inverting `NULL` also returns `NULL`, which is the correct inverse of `NULL`. If you need to differentiate between those cases, you should check `self` is not `NULL` before calling this function.

#### Return value

Type: `GskTransform`

The inverted transform.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.